Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 847214 - mail-mta/qpsmtpd-0.95-r1 installs shell script that uses non-POSIX features
Summary: mail-mta/qpsmtpd-0.95-r1 installs shell script that uses non-POSIX features
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 609070
  Show dependency tree
 
Reported: 2022-05-24 06:24 UTC by Agostino Sarubbo
Modified: 2022-07-01 19:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,47.68 KB, text/plain)
2022-05-24 06:25 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2022-05-24 06:24:57 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: mail-mta/qpsmtpd-0.95-r1 installs shell script that uses non-POSIX features.
Discovered on: amd64 (internal ref: tinderbox)
Comment 1 Agostino Sarubbo gentoo-dev 2022-05-24 06:25:00 UTC
Created attachment 780512 [details]
build.log

build log and emerge --info
Comment 2 Kerin Millar 2022-07-01 19:54:05 UTC
This one is a false positive. The suggestion made by checkbashisms indicates that it is behaving as if had examined a POSIX glob rather than a sed argument containing a BRE.